import { FileSystemNode } from './filesystem-node';
export declare class FileSystemDirectory extends FileSystemNode {
    name: string;
    private children;
    constructor(name: string);
    getNode(pathParts: string[]): FileSystemNode | null;
    putNode(pathParts: string[], node: FileSystemNode): FileSystemNode | null;
    addChild(fileSystemNode: FileSystemNode): FileSystemNode | null;
    private nodeHasAlreadyChildDirectoryWithSameName;
    private nodeHasAlreadyChildFileWithSameName;
    toDirectoryString(indentation?: number): string;
}
