import { IOType } from '@jvalue/jayvee-language-server';
import { FileSystemFile } from './filesystem-node-file';
import { type IOTypeImplementation, type IoTypeVisitor } from './io-type-implementation';
export declare class BinaryFile extends FileSystemFile<ArrayBuffer> implements IOTypeImplementation<IOType.FILE> {
    readonly ioType = IOType.FILE;
    acceptVisitor<R>(visitor: IoTypeVisitor<R>): R;
}
