export declare abstract class FileSystemNode {
    name: string;
    constructor(name: string);
    abstract getNode(pathParts: string[]): FileSystemNode | null;
    abstract putNode(pathParts: string[], node: FileSystemNode): FileSystemNode | null;
    abstract toDirectoryString(indentation: number): string;
}
