import { IOType } from '@jvalue/jayvee-language-server';
import { type IOTypeImplementation, type IoTypeVisitor } from './io-type-implementation';
import { Sheet } from './sheet';
export declare class Workbook implements IOTypeImplementation<IOType.WORKBOOK> {
    readonly ioType = IOType.WORKBOOK;
    private sheets;
    getSheets(): Map<string, Sheet>;
    getSheetByName(sheetName: string): Sheet | undefined;
    getUniqueDefaultNameForNewSheet(): string;
    addSheet(data: string[][], sheetName?: string): Workbook;
    acceptVisitor<R>(visitor: IoTypeVisitor<R>): R;
}
