import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type ExecutionContext, type None, Table } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class SQLiteLoaderExecutor extends AbstractBlockExecutor<IOType.TABLE, IOType.NONE> {
    static readonly type = "SQLiteLoader";
    constructor();
    doExecute(input: Table, context: ExecutionContext): Promise<R.Result<None>>;
    private runQuery;
}
