import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class BooleanValuetype extends PrimitiveValueType<boolean> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'boolean';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is boolean;
    isReferenceableByUser(): boolean;
    getUserDoc(): string;
    fromString(s: string): boolean | undefined;
}
