import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type CellRangeLiteral } from '../../../generated/ast';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class CellRangeValuetype extends PrimitiveValueType<CellRangeLiteral> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'CellRange';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is CellRangeLiteral;
}
