import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ConstraintDefinition } from '../../../generated/ast';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class ConstraintValuetype extends PrimitiveValueType<ConstraintDefinition> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'Constraint';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is ConstraintDefinition;
}
