export declare class MarkdownBuilder {
    protected markdownTextLines: string[];
    private getHeaderPrefix;
    heading(title: string, depth: number): MarkdownBuilder;
    line(text?: string): MarkdownBuilder;
    code(code: string, language?: string): MarkdownBuilder;
    newLine(): MarkdownBuilder;
    comment(comment: string): MarkdownBuilder;
    build(): string;
}
