import { type AstNode, type MaybePromise } from 'langium';
import { AstNodeHoverProvider } from 'langium/lsp';
import { type Hover } from 'vscode-languageserver-protocol';
import { type WrapperFactoryProvider } from '../ast';
import { type JayveeServices } from '../jayvee-module';
export declare class JayveeHoverProvider extends AstNodeHoverProvider {
    protected readonly wrapperFactories: WrapperFactoryProvider;
    constructor(services: JayveeServices);
    getAstNodeHoverContent(astNode: AstNode): MaybePromise<Hover | undefined>;
    private getBlockTypeMarkdownDoc;
    private getConstraintTypeMarkdownDoc;
    private getPropertyMarkdownDoc;
}
