export declare class Registry<C> {
    protected readonly registry: Map<string, C>;
    protected register(key: string, classToRegister: C): void;
    protected getAll(): C[];
    protected getAllEntries(): {
        key: string;
        value: C;
    }[];
    protected get(key: string): C | undefined;
    protected clear(): void;
}
