import { type AstNode } from 'langium';
import { type Expression } from '../ast';
import { type ImportDetails } from '../services/import-resolver';
import { type ValidationContext } from './validation-context';
import { type JayveeValidationProps } from './validation-registry';
export type NamedAstNode = AstNode & {
    name: string;
};
export declare function checkUniqueNames(nodes: (NamedAstNode | ImportDetails)[], context: ValidationContext, elementTypeDetails?: string | undefined): void;
export declare function checkExpressionSimplification(expression: Expression, props: JayveeValidationProps): void;
