import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type BinaryFile, type ExecutionContext, TextFile } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class TextFileInterpreterExecutor extends AbstractBlockExecutor<IOType.FILE, IOType.TEXT_FILE> {
    static readonly type = "TextFileInterpreter";
    constructor();
    doExecute(file: BinaryFile, context: ExecutionContext): Promise<R.Result<TextFile>>;
}
