import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type ExecutionContext, type PortDetails, type Table } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class TableTransformerExecutor extends AbstractBlockExecutor<IOType.TABLE, IOType.TABLE> {
    static readonly type = "TableTransformer";
    constructor();
    doExecute(inputTable: Table, context: ExecutionContext): Promise<R.Result<Table>>;
    checkInputColumnsMatchTransformInputTypes(inputColumnNames: string[], inputTable: R.Table, transformInputDetailsList: PortDetails[], context: R.ExecutionContext): R.Result<Map<string, R.TableColumn>>;
    checkInputColumnsExist(inputColumnNames: string[], inputTable: R.Table, context: R.ExecutionContext): R.Result<undefined>;
    private createOutputTable;
    private logColumnOverwriteStatus;
}
