import { type ValidationContext } from '../../../validation/validation-context';
import { type BinaryExpression } from '../../generated/ast';
import { DefaultBinaryOperatorEvaluator } from '../operator-evaluator';
export declare class ModuloOperatorEvaluator extends DefaultBinaryOperatorEvaluator<number, number, number> {
    constructor();
    doEvaluate(leftValue: number, rightValue: number, expression: BinaryExpression, context: ValidationContext | undefined): number | undefined;
}
