import { type ValidationContext } from '../../../validation/validation-context';
import { type UnaryExpression } from '../../generated/ast';
import { DefaultUnaryOperatorEvaluator } from '../operator-evaluator';
export declare class SqrtOperatorEvaluator extends DefaultUnaryOperatorEvaluator<number, number> {
    constructor();
    doEvaluate(operandValue: number, expression: UnaryExpression, context: ValidationContext | undefined): number | undefined;
}
