import { type BlockTypeProperty, type CellRangeLiteral, type ConstraintDefinition, type TransformDefinition, type ValuetypeAssignment } from '../generated/ast';
import type { WrapperFactoryProvider } from '../wrappers';
export type InternalValueRepresentation = AtomicInternalValueRepresentation | InternalValueRepresentation[] | [];
export type AtomicInternalValueRepresentation = boolean | number | string | RegExp | CellRangeLiteral | ConstraintDefinition | ValuetypeAssignment | BlockTypeProperty | TransformDefinition;
export type InternalValueRepresentationTypeguard<T extends InternalValueRepresentation> = (value: InternalValueRepresentation) => value is T;
export declare function internalValueToString(valueRepresentation: InternalValueRepresentation, wrapperFactories: WrapperFactoryProvider): string;
