import { type AtomicValueType } from '../value-type/atomic-value-type';
import { type PrimitiveValueType } from '../value-type/primitive';
import { type ValueType } from '../value-type/value-type';
type ValuetypeHierarchyStack = [PrimitiveValueType, ...AtomicValueType[]];
export declare function getValuetypeHierarchyStack(valueType: ValueType): ValuetypeHierarchyStack;
export declare function pickCommonPrimitiveValuetype(primitiveValuetypes: PrimitiveValueType[]): PrimitiveValueType | undefined;
export declare function pickCommonAtomicValueType(stacks: ValuetypeHierarchyStack[]): PrimitiveValueType | AtomicValueType | undefined;
export declare function areAllTypesEqual(types: ValueType[]): boolean;
export {};
