import { type InternalValueRepresentation } from '../../../../expressions/internal-value-representation';
import { PrimitiveValueType } from '../primitive-value-type';
export type ToArray<I extends InternalValueRepresentation | undefined> = I extends InternalValueRepresentation ? I[] : [];
export declare abstract class AbstractCollectionValueType<I extends InternalValueRepresentation | undefined> extends PrimitiveValueType<ToArray<I>> {
    isAllowedAsRuntimeParameter(): boolean;
}
