import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ValueType, type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class IntegerValuetype extends PrimitiveValueType<number> {
    isConvertibleTo(target: ValueType): boolean;
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'integer';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is number;
    isReferenceableByUser(): boolean;
    getUserDoc(): string;
    fromString(s: string): number | undefined;
}
