import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ValuetypeAssignment as AstValuetypeAssignment } from '../../../generated/ast';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class ValuetypeAssignmentValuetype extends PrimitiveValueType<AstValuetypeAssignment> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'ValuetypeAssignment';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is AstValuetypeAssignment;
}
