import { type BlockTypeWrapper, type ConstraintTypeWrapper, type TypedObjectWrapper } from '../ast';
import { type JayveeBlockTypeDocGenerator, type JayveeConstraintTypeDocGenerator, type JayveePropertyDocGenerator } from './jayvee-doc-generator';
export declare class LspDocGenerator implements JayveeBlockTypeDocGenerator, JayveeConstraintTypeDocGenerator, JayveePropertyDocGenerator {
    generateBlockTypeDoc(blockType: BlockTypeWrapper): string;
    generateConstraintTypeDoc(constraintType: ConstraintTypeWrapper): string;
    generatePropertyDoc(wrapper: TypedObjectWrapper, propertyName: string): string | undefined;
}
