import { type CompositeBlockTypeDefinition, type PipelineDefinition } from '../../ast/generated/ast';
import { type JayveeValidationProps } from '../validation-registry';
export declare function validatePipelineDefinition(pipeline: PipelineDefinition, props: JayveeValidationProps): void;
export declare function checkMultipleBlockInputs(pipeline: PipelineDefinition | CompositeBlockTypeDefinition, props: JayveeValidationProps): void;
export declare function checkDefinedBlocksAreUsed(pipeline: PipelineDefinition | CompositeBlockTypeDefinition, props: JayveeValidationProps): void;
