import { DefaultWorkspaceManager, type LangiumDocument } from 'langium';
import { type LangiumSharedServices } from 'langium/lsp';
import { type WorkspaceFolder } from 'vscode-languageserver';
import { type JayveeServices } from '../jayvee-module';
export declare class JayveeWorkspaceManager extends DefaultWorkspaceManager {
    private documentFactory;
    constructor(services: LangiumSharedServices);
    loadAdditionalDocuments(folders: WorkspaceFolder[], collector: (document: LangiumDocument) => void): Promise<void>;
}
/**
 * Initializes the workspace with all workspace folders.
 * Also loads additional required files, e.g., the standard library
 */
export declare function initializeWorkspace(services: JayveeServices, workspaceFolders?: WorkspaceFolder[]): Promise<void>;
